<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <f:facet name="first">
            <meta content='text/html; charset=UTF-8' http-equiv="Content-Type"/>
            <title>Converter Project</title>
        </f:facet>
    </h:head>
    <h:body>
        <h:form>
            <h1>Movie Hunter</h1>                     

            <p:layout fullPage="true">

                <p:layoutUnit position="north" size="110" resizable="true" closable="true" collapsible="true">
                    <u><h1  style="color: crimson"><center>Movie Hunter</center></h1></u>
                </p:layoutUnit>

                <p:layoutUnit position="center">
                    <u><h3  style="color: chocolate;"><center>Query Selection Decision Maker</center></h3></u>                
                    <h3 style="margin-top:0">Select Query Type</h3>
                                        
                    <h:inputText id="t2"  value="#{BackingBean.query}" autocomplete="true" 
                                 class="form-control" alt="Search..." 
                                 requiredMessage="Search for a Movie"
                                 required="true"
                                 style="  box-shadow: -1px 0px 9px 0px rgba(52, 50, 50, 0.88);"/> 

                    <br/>
                    <br/>

                    <h:panelGrid columns="2" class="radioButtons" cellpadding="5">                
                        <h:selectOneRadio id="radio" required="true"
                                          value="#{BackingBean.engine}" layout="pageDirection"
                                          requiredMessage="Select radioBox"
                                          class="fontRadio">

                            <f:selectItem  itemValue="DOM"   itemLabel="DOM"/>
                            <f:selectItem  itemValue="SAX"    itemLabel="SAX"/>
                            <f:selectItem  itemValue="StAX"   itemLabel="StAX"/>

                        </h:selectOneRadio>
                    </h:panelGrid>
                    <br/>
                    <h:commandButton  class="btn btn-primary btn-lg btn-block" 
                                      type="submit" value="Search"                                
                                      action="#{BackingBean.displayMovie()}"/>
                    <h2><h:outputLabel value="#{BackingBean.message}" style="color: red;"/></h2>     


                    <section>
                        <div class="movieInfo">
                            <b><u><h:outputText value="#{BackingBean.movie.title}"/></u></b><br/>
                            <b>Rate: </b><h:outputText value="#{BackingBean.movie.rate}"/><br/><br/>
                            <b>Schedules: </b><ui:repeat var="item" value="#{BackingBean.movie.timesList}"> <p>#{item}</p> </ui:repeat>  <br/>  <br/>                            
                            <b>Released: </b><h:outputText value="#{BackingBean.movie.releaseDate}"/><br/><br/>
                            <b>Duration: </b><h:outputText value="#{BackingBean.movie.runTime}"/><br/><br/>
                            <b>Genre: </b><h:outputText value="#{BackingBean.movie.genre}"/>     <br/><br/>
                            <b>Actors: </b><ui:repeat var="item" value="#{BackingBean.movie.actorsList}"> <p>#{item}</p> </ui:repeat> <br/><br/>
                            <b>Directors: </b><ui:repeat var="item" value="#{BackingBean.movie.directorsList}"> <p>#{item}</p> </ui:repeat> <br/><br/>
                            <b>Producers: </b><ui:repeat var="item" value="#{BackingBean.movie.producersList}"> <p>#{item}</p> </ui:repeat> <br/><br/>
                            <b>Writers: </b><ui:repeat var="item" value="#{BackingBean.movie.writersList}"> <p>#{item}</p> </ui:repeat> <br/><br/>
                            <b>Studio: </b><ui:repeat var="item" value="#{BackingBean.movie.studio}"> <p>#{item}</p> </ui:repeat> <br/><br/>

                        </div>
                    </section>
                </p:layoutUnit>
            </p:layout>
        </h:form>


        <p:growl widgetVar="broadcastGrowl"/>
        <p:socket  onMessage="messageHandler" channel="/message"/>
        <script>
            function messageHandler(facesmessage) {
                facesmessage.severity = 'info';
                PF('broadcastGrowl').show([facesmessage]);
            }
        </script>
    </h:body>
</html>
